Get information about a sending batch
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}
Path Parameters
- clientIdnumberrequiredDescription
- sendingBatchIdnumberrequiredDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestSendingBatch
- idinteger<int64>DescriptionFormatint64
- campaignIdinteger<int64>DescriptionFormatint64
- recipientListIdinteger<int64>DescriptionFormatint64
- tagstringDescription
- chunksstring[]Description
- statestring<initiated | has_recipients | sent | invalid>DescriptionAllowedinitiatedhas_recipientssentinvalid
- linksobject[]
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
404
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The sending batch was retrieved successfully
{
"id": "",
"campaignId": "",
"recipientListId": "",
"tag": "",
"chunks": [
""
],
"state": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}404
// The sending batch could not be found. Ensure that the required parameter is correct and the sending batch entry exists.